Bug 376981 - sound lag in SDL through pulseaudio via esd
sound lag in SDL through pulseaudio via esd
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
ia64 Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
Depends On: 439847
  Show dependency treegraph
Reported: 2007-11-11 23:09 EST by Mark Slemko
Modified: 2008-05-02 10:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-02 10:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Slemko 2007-11-11 23:09:27 EST
Description of problem:
There is a consistent sound lag for apps (games) that use SDL that have the
SDL_AUDIODRIVER set to esd (workaround suggested in bugzilla). KDE also shows
this lag, but is less important/annoying.

Version-Release number of selected component (if applicable):
pulseaudio = 0.97
SDL 1.2.12

How reproducible:

Steps to Reproduce:
1. play game such as quake 3
Actual results:
sfx are delayed by about 0.5-1 second

Expected results:
sfx are played on time

Addtional info:
can't use 32 bit alsa plugin in the 64 bit fedora 8 - bug exists already. That
may reduce/remove the lag problem.
Comment 1 Lennart Poettering 2008-04-02 12:17:49 EDT
This will be fixed if bug 439847 is fixed.
Comment 2 Lennart Poettering 2008-05-02 10:34:50 EDT
Bug 439847 has been closed a while back. Closing this one too.

Note You need to log in before you can comment on or make changes to this bug.